<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Kpi Period</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        KPI
        <small>Periood</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Setting</li>
        <li class="active"> Kpi Period</li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class="col-md-6">
            <div class="box">
                <div class="box-header with-border">
                    <h3>Period Form</h3>
                </div>
                <form class="form-horizontal" th:action="@{/setting/kpi/periode/save}" th:object="${kpiPeriode}" method="post" enctype="multipart/form-data">
                <div class="box-body">

                    <div class="form-group">
                        <label for="kodePeriode" class="col-sm-3 control-label">Code</label>

                        <div class="col-sm-9">
                            <input type="text" class="form-control" th:field="*{kodePeriode}" name="kodePeriode" id="kodePeriode" placeholder="Code">
                            <p th:if="${#fields.hasErrors('kodePeriode')}" th:errors="*{kodePeriode}" class="text-danger"> Mata Anggaran Error</p>
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="namaPeriode" class="col-sm-3 control-label">Period</label>

                        <div class="col-sm-9">
                            <input type="text" class="form-control" th:field="*{namaPeriode}" name="namaPeriode" id="namaPeriode" placeholder="Period">
                            <p th:if="${#fields.hasErrors('namaPeriode')}" th:errors="*{namaPeriode}" class="text-danger"> Mata Anggaran Error</p>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="col-sm-3 control-label">Setting Date:</label>
                                <div class="col-sm-4">
                                    <div class="input-group date">
                                        <div class="input-group-addon">
                                            <i class="fa fa-calendar"></i>
                                        </div>
                                        <input type="text" class="form-control pull-right" id="mulaiSettingString" name="mulaiSettingString" placeholder="dd-mm-yyyy" th:field="*{mulaiSettingString}">
                                    </div>
                                    <p th:if="${#fields.hasErrors('mulaiSettingString')}" th:errors="*{mulaiSettingString}" class="text-danger"> Mata Anggaran Error</p>
                                </div>
                                <div class="col-sm-1">
                                    <span> To </span>
                                </div>
                                <div class="col-sm-4">
                                    <div class="input-group date">
                                        <div class="input-group-addon">
                                            <i class="fa fa-calendar"></i>
                                        </div>
                                        <input type="text" class="form-control pull-right" id="selesaiSettingString" name="selesaiSettingString" placeholder="dd-mm-yyyy" th:field="*{selesaiSettingString}">
                                    </div>
                                    <p th:if="${#fields.hasErrors('selesaiSettingString')}" th:errors="*{selesaiSettingString}" class="text-danger"> Mata Anggaran Error</p>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="col-sm-3 control-label">Period Date:</label>
                                <div class="col-sm-4">
                                    <div class="input-group date">
                                        <div class="input-group-addon">
                                            <i class="fa fa-calendar"></i>
                                        </div>
                                        <input type="text" class="form-control pull-right" id="mulaiPeriodeString" name="mulaiPeriodeString" placeholder="dd-mm-yyyy" th:field="*{mulaiPeriodeString}">
                                    </div>
                                    <p th:if="${#fields.hasErrors('mulaiPeriodeString')}" th:errors="*{mulaiPeriodeString}" class="text-danger"> Mata Anggaran Error</p>
                                </div>
                                <div class="col-sm-1">
                                    <span> To </span>
                                </div>
                                <div class="col-sm-4">
                                    <div class="input-group date">
                                        <div class="input-group-addon">
                                            <i class="fa fa-calendar"></i>
                                        </div>
                                        <input type="text" class="form-control pull-right" id="selesaiPeriodeString" name="selesaiPeriodeString" placeholder="dd-mm-yyyy" th:field="*{selesaiPeriodeString}">
                                    </div>
                                    <p th:if="${#fields.hasErrors('selesaiPeriodeString')}" th:errors="*{selesaiPeriodeString}" class="text-danger"> Mata Anggaran Error</p>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="col-sm-3 control-label">Assesment Date:</label>
                                <div class="col-sm-4">
                                    <div class="input-group date">
                                        <div class="input-group-addon">
                                            <i class="fa fa-calendar"></i>
                                        </div>
                                        <input type="text" class="form-control pull-right" id="mulaiPenilaianString" name="mulaiPenilaianString" placeholder="dd-mm-yyyy" th:field="*{mulaiPenilaianString}">
                                    </div>
                                    <p th:if="${#fields.hasErrors('mulaiPenilaianString')}" th:errors="*{mulaiPenilaianString}" class="text-danger"> Mata Anggaran Error</p>
                                </div>
                                <div class="col-sm-1">
                                    <span> To </span>
                                </div>
                                <div class="col-sm-4">
                                    <div class="input-group date">
                                        <div class="input-group-addon">
                                            <i class="fa fa-calendar"></i>
                                        </div>
                                        <input type="text" class="form-control pull-right" id="selesaiPenilaianString" name="selesaiPenilaianString" placeholder="dd-mm-yyyy" th:field="*{selesaiPenilaianString}">
                                    </div>
                                    <p th:if="${#fields.hasErrors('selesaiPenilaianString')}" th:errors="*{selesaiPenilaianString}" class="text-danger"> Mata Anggaran Error</p>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="col-sm-3 control-label">Calculation Date:</label>
                                <div class="col-sm-4">
                                    <div class="input-group date">
                                        <div class="input-group-addon">
                                            <i class="fa fa-calendar"></i>
                                        </div>
                                        <input type="text" class="form-control pull-right" id="tanggalKalkulasiString" name="tanggalKalkulasiString" placeholder="dd-mm-yyyy" th:field="*{tanggalKalkulasiString}">
                                    </div>
                                    <p th:if="${#fields.hasErrors('tanggalKalkulasiString')}" th:errors="*{tanggalKalkulasiString}" class="text-danger"> Mata Anggaran Error</p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <input type="hidden" name="id" th:field="*{id}">
                    <div class="form-group">
                        <label for="statusAktif"  class="col-sm-3 control-label">Active:</label>
                        <div class="col-sm-9">
                            <input name="statusAktif" id="statusAktif" type="checkbox" class="flat-red" th:field="*{statusAktif}" value="AKTIF" >
                        </div>
                    </div>

                </div>
                <div class="box-footer">
                    <a th:href="@{/setting/kpi/periode}" class="btn btn-default">Cancel</a>
                    <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>
                </div>
                </form>
            </div>
        </div>
    </div>

</section>
<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#mulaiSettingString').datepicker({
                autoclose: true,
                format: 'dd-mm-yyyy'
            })
            $('#selesaiSettingString').datepicker({
                autoclose: true,
                format: 'dd-mm-yyyy'
            })

            $('#mulaiPeriodeString').datepicker({
                autoclose: true,
                format: 'dd-mm-yyyy'
            })
            $('#selesaiPeriodeString').datepicker({
                autoclose: true,
                format: 'dd-mm-yyyy'
            })

            $('#mulaiPenilaianString').datepicker({
                autoclose: true,
                format: 'dd-mm-yyyy'
            })
            $('#selesaiPenilaianString').datepicker({
                autoclose: true,
                format: 'dd-mm-yyyy'
            })

            $('#tanggalKalkulasiString').datepicker({
                autoclose: true,
                format: 'dd-mm-yyyy'
            })
            //
            // $('#tanggal').timepicker({
            //     autoclose: true,
            //     format: 'dd-MM-yyyy'
            // })

            $('#endDateString').datepicker({
                autoclose: true
            })

            $(".te").hide();
            $(".su").hide();
            $(".timepicker").hide();

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false,
                format: 'hh:mm'
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
    <script>
        function isiTanggal() {
            var tanggalString = document.getElementById("tanggalString1").value;
            var idEmployee = document.getElementById("idEmployee").value;

            if(tanggalString == ''){
                $(".te").hide();
                $(".su").hide();
                $(".ar").hide();
                $(".timepicker").hide();
            }else if(tanggalString.length < 10) {
                $(".te").hide();
                $(".su").hide();
                $(".ar").hide();
                $(".timepicker").hide();
            }else{
                const url = '/api/overtime/cek_shift?tanggal='+tanggalString+'&employee='+idEmployee;
                $.getJSON(url, function(data){

                    document.getElementById("tanggalString").setAttribute('value', tanggalString);
                    $(".ts").html(tanggalString);
                    var display = `Status: ${data.status}<br>
                                                    Your shift on ${data.shiftIn} until ${data.shiftOut}`

                    var display2 = `Status: ${data.keterangan}, Hari Libur<br>`
                    if(data.status == 'ON'){
                        $(".ar").html(display);
                        $(".timepicker").show();
                        $(".input-group-addon").show();
                        $(".te").show();
                        $(".ar").show();
                        $(".ur").hide();
                        $(".su").show();
                        $(".su").enabled();

                    }else{
                        $(".ar").html(display2);
                        $(".timepicker").hide();
                        $(".input-group-addon").hide();
                        $(".te").hide();
                        $(".su").hide();
                        $(".ar").show();
                        $(".ur").hide();
                        $(".su").disabled();
                    }

                });

            }

            // document.getElementById("isiTanggalOvertimeString").setAttribute('value', tanggalString);
        }
    </script>
</section>
</body>
</html>